Skip to content
Start here

Purge Cached Content by Environment

client.cache.purgeEnvironment(stringenvironmentId, CachePurgeEnvironmentParamsparams, RequestOptionsoptions?): CachePurgeEnvironmentResponse { id } | null
POST/zones/{zone_id}/environments/{environment_id}/purge_cache

Purge cached content scoped to a specific environment. Supports the same purge types as the zone-level endpoint (purge everything, by URL, by tag, host, or prefix).

Availability and limits

Please refer to purge cache availability and limits documentation page.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cache Purge
ParametersExpand Collapse
environmentId: string
maxLength32
CachePurgeEnvironmentParams = CachePurgeFlexPurgeByTags | CachePurgeFlexPurgeByHostnames | CachePurgeFlexPurgeByPrefixes | 3 more
CachePurgeEnvironmentParamsBase
CachePurgeFlexPurgeByTags extends CachePurgeEnvironmentParamsBase
CachePurgeFlexPurgeByHostnames extends CachePurgeEnvironmentParamsBase
CachePurgeFlexPurgeByPrefixes extends CachePurgeEnvironmentParamsBase
CachePurgeEverything extends CachePurgeEnvironmentParamsBase
CachePurgeSingleFile extends CachePurgeEnvironmentParamsBase
CachePurgeSingleFileWithURLAndHeaders extends CachePurgeEnvironmentParamsBase
ReturnsExpand Collapse
CachePurgeEnvironmentResponse { id }
id: string
maxLength32

Purge Cached Content by Environment

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.cache.purgeEnvironment('023e105f4ecef8ad9ca31a8372d0c353', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}